org.wso2.carbon.rest.api.ui.client

## Class TestClient

- java.lang.Object
- - org.wso2.carbon.rest.api.ui.client.TestClient

-     public class TestClient
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY_FOR_API_CONTEXT`
    `static String` | `KEY_FOR_API_NAME`
    `static String` | `KEY_FOR_HANDLER`
    `static String` | `KEY_FOR_RESOURCE_METHODS`
    `static String` | `KEY_FOR_RESOURCE_URI`
    `static String` | `KEY_FOR_RESOURCE_URI_TEMPLATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestClient(Map apiMappings, List<Map> resourceMappings, List<Map> handlerMappings, String cookie)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApi()`
    `static org.apache.axiom.om.OMElement` | `createOMElementFrom(String omString)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_FOR_API_NAME

          public static final String KEY_FOR_API_NAME

      See Also:
        Constant Field Values

    - #### KEY_FOR_API_CONTEXT

          public static final String KEY_FOR_API_CONTEXT

      See Also:
        Constant Field Values

    - #### KEY_FOR_RESOURCE_URI_TEMPLATE

          public static final String KEY_FOR_RESOURCE_URI_TEMPLATE

      See Also:
        Constant Field Values

    - #### KEY_FOR_RESOURCE_METHODS

          public static final String KEY_FOR_RESOURCE_METHODS

      See Also:
        Constant Field Values

    - #### KEY_FOR_RESOURCE_URI

          public static final String KEY_FOR_RESOURCE_URI

      See Also:
        Constant Field Values

    - #### KEY_FOR_HANDLER

          public static final String KEY_FOR_HANDLER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TestClient

          public TestClient(Map apiMappings,
                            List<Map> resourceMappings,
                            List<Map> handlerMappings,
                            String cookie)
                     throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### addApi

          public void addApi()
                      throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### createOMElementFrom

          public static org.apache.axiom.om.OMElement createOMElementFrom(String omString)

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2020 WSO2. All rights reserved.